#pragma once

#include <BWAPI.h>
#include "CBase.h"
#include "CUnit.h"

using namespace BWAPI;

class CBase;
class CUnit;

class CPlayer
{
public:
	CPlayer(BWAPI::Player player);
	CPlayer();

	std::vector<CBase> bases;
	int gasLost;
	int gasSpent;
	int id;
	int mineralsGathered;
	int mineralsLost;
	int mineralsSpent;
	BWAPI::Player player;
	std::vector<CUnit> units;
};